﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using Diagrams.PascalTriangle.ViewModels;

namespace Diagrams.PascalTriangle
{
	public class CustomStyleSelector : StyleSelector
	{
		public override System.Windows.Style SelectStyle(object item, System.Windows.DependencyObject container)
		{
			if (item is BaseViewModel) return BaseStyle;
			else if (item is Shape1ViewModel) return Shape1Style;
			else if (item is Shape2ViewModel) return Shape2Style;

			return BaseStyle;
		}

		public Style BaseStyle
		{
			get;
			set;
		}

		public Style Shape1Style
		{
			get;
			set;
		}

		public Style Shape2Style
		{
			get;
			set;
		}
	}
}
