﻿using System;
using System.Linq;
using Telerik.Windows.Controls.Diagrams.Extensions.ViewModels;

namespace Diagrams.PascalTriangle.ViewModels
{
	public class BaseViewModel : NodeViewModelBase
	{
		private bool isRotationEnabled;
		private bool isResizingEnabled;

		public BaseViewModel()
		{
			IsRotationEnabled = false;
			IsResizingEnabled = false;
		}

		public bool IsResizingEnabled
		{
			get
			{
				return this.isResizingEnabled;
			}
			set
			{
				this.isResizingEnabled = value;
			}
		}

		public bool IsRotationEnabled
		{
			get
			{
				return this.isRotationEnabled;
			}
			set
			{
				this.isRotationEnabled = value;
			}
		}
	}
}
