﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Diagrams.PascalTriangle.ViewModels
{
	class ListBoxDataContext : BaseViewModel
	{
		private ObservableCollection<MyListBoxItem> listBoxItems;
		public ListBoxDataContext()
		{
			this.ListBoxItems = new ObservableCollection<MyListBoxItem>();
			this.ListBoxItems.Add(new MyListBoxItem() { Name = "Item 1" });
			this.ListBoxItems.Add(new MyListBoxItem() { Name = "Item 2" });
			this.ListBoxItems.Add(new MyListBoxItem() { Name = "Item 3" });
			this.ListBoxItems.Add(new MyListBoxItem() { Name = "Item 4" });
			this.ListBoxItems.Add(new MyListBoxItem() { Name = "Item 5" });
		}
		public ObservableCollection<MyListBoxItem> ListBoxItems
		{
			get
			{
				return this.listBoxItems;
			}
			set
			{
				if (value != this.listBoxItems)
				{
					this.listBoxItems = value;
					this.OnPropertyChanged("ListBoxItems");
				}
			}
		}
	}
}
